Bug 19221 - Onboarding tool says user needs to be made superlibrarian
Summary: Onboarding tool says user needs to be made superlibrarian
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Te Rauhina Jackson
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on: 17855
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-31 10:19 UTC by Magnus Enger
Modified: 2018-06-04 20:15 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Screenshot from the onboarding tool (118.08 KB, image/png)
2017-08-31 10:19 UTC, Magnus Enger
Details
Onboarding tool says user need to be made superlibrarian (1.56 KB, patch)
2018-01-16 21:32 UTC, Te Rauhina Jackson
Details | Diff | Splinter Review
Bug 19221: Onboarding tool says user needs to be made superlibrarian (1.63 KB, patch)
2018-01-17 12:49 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19221: Onboarding tool says user needs to be made superlibrarian (1.63 KB, patch)
2018-01-19 16:08 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Magnus Enger 2017-08-31 10:19:45 UTC
Created attachment 66666 [details]
Screenshot from the onboarding tool

See attached screesnhot. 

At the top of the page it says: "Now we will create a patron with superlibrarian permissions."

At the bottom it says: "To give the new patron superlibrarian permissions go to:
More › Set permissions"

The user is actually created with superlibrarian permissions, so the statement at the bottom of the page is misleading. 

(The onboarding tool is awesome, BTW!)
Comment 1 Jonathan Druart 2017-08-31 13:13:38 UTC
Read:
To create another patron, go to Patrons > New patron
To give the new patron superlibrarian permissions go to...

It's for the permissions of new patrons you are going to create manually.
Comment 2 Magnus Enger 2017-09-11 05:46:45 UTC
Ah hah! Still, I managed to misread it, so maybe others will too. Could we find a clearer wording/layout perhaps?
Comment 3 Te Rauhina Jackson 2018-01-16 21:32:23 UTC
Created attachment 70575 [details] [review]
Onboarding tool says user need to be made superlibrarian

I changed the "To give new patron superlibrarian permissions go to:" message to "To edit patron permissions, go to:". Please clarify if this is clearer or not.

Test plan:
1) Apply patch
2) Go through the web installer
3) At the create koha administrator patron step, notice that at the bottom, there is a message saying "To edit patron permissions, go to:"
Comment 4 Owen Leonard 2018-01-17 12:49:34 UTC
Created attachment 70607 [details] [review]
Bug 19221: Onboarding tool says user needs to be made superlibrarian

I changed the "To give new patron superlibrarian permissions go to:"
message to "To edit patron permissions, go to:". Please clarify if this
is clearer or not.

Test plan:
1) Apply patch
2) Go through the web installer
3) At the create koha administrator patron step, notice that at the
   bottom, there is a message saying "To edit patron permissions, go
   to:"

https://bugs.koha-community.org/show_bug.cgi?id=19221

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 5 Nick Clemens 2018-01-19 16:08:17 UTC
Created attachment 70759 [details] [review]
Bug 19221: Onboarding tool says user needs to be made superlibrarian

I changed the "To give new patron superlibrarian permissions go to:"
message to "To edit patron permissions, go to:". Please clarify if this
is clearer or not.

Test plan:
1) Apply patch
2) Go through the web installer
3) At the create koha administrator patron step, notice that at the
   bottom, there is a message saying "To edit patron permissions, go
   to:"

https://bugs.koha-community.org/show_bug.cgi?id=19221

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 6 Jonathan Druart 2018-01-19 18:55:06 UTC
Patch pushed to master for 18.05.

Congratulations Te Rauhina for your first patch in!
Comment 7 Magnus Enger 2018-01-19 18:58:14 UTC
Congratulations Te Rauhina, and thanks to you (and everyone else involved in QA) for fixing this. Hooray! :-)
Comment 8 Nick Clemens 2018-01-23 04:15:34 UTC
Awesome work all!

Pushed to Stable for 17.11.02
Comment 9 Fridolin SOMERS 2018-02-02 08:37:39 UTC
Pushed to 17.05.x for v17.05.09